> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rio.trade/llms.txt
> Use this file to discover all available pages before exploring further.

# Create bulk crypto payment

<Warning>
  **v1 (legacy).** This page documents the API before the v2 update. The v1
  format is not enabled for new accounts and must be enabled on your account by
  your account manager. New integrations should use the
  [current documentation](/introduction). To update an existing integration,
  follow the [migration guide](/migration).
</Warning>

### Requirements to consume the endpoint.

<CardGroup cols={2}>
  <Card title="Create and modify role" icon="user-lock">
    The user must have the role to create and modify.
  </Card>

  <Card title="User approved" icon="check">
    The user must be approved in at least one country.
  </Card>
</CardGroup>


## OpenAPI

````yaml v1/api-reference/crypto-payments-docs.json post /api/payments/crypto/bulk
openapi: 3.0.0
info:
  version: v1.0.0
  title: Crypto payments API (legacy v1)
  description: API for managing Crypto payments in the Rio platform
servers:
  - url: https://app.sandbox.rio.trade
security:
  - apiKeyAuth: []
paths:
  /api/payments/crypto/bulk:
    post:
      summary: Create bulk crypto payment
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/createBulkCryptoPaymentSchema'
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseCreateBulkCryptoPaymentSchema'
          description: Created
components:
  schemas:
    createBulkCryptoPaymentSchema:
      type: object
      properties:
        orderIds:
          type: array
          description: >-
            Optional list of order IDs to include in the bulk crypto payment.
            When omitted, crypto, country and userId must be provided
          items:
            type: string
          example:
            - 6757546b4c5d19bf3cd7b09c
            - 6757546b4c5d19bf3cd7b09d
        crypto:
          enum:
            - USDC
            - USDC_POLYGON_NXTB
            - SOL_USDC_PTHX
            - XLM_USDC_5F3T
            - USDC_BASECHAIN_ETH_5I5C
            - USDCE_TEMPO_MXYR
            - USDT_POLYGON
            - USDT_ERC20
            - TRX_USDT_S2UZ
            - USDT_BSC
            - SOL_USDT_EWAY
            - EUROC_ETH_F5NG
            - EURC_SOL
            - EURC_B609K9QB_Y213
          description: The type of cryptocurrency involved in the order
        country:
          enum:
            - MX
            - PE
            - CO
          description: The country of the user
        userId:
          type: string
          description: The unique identifier of the user
          example: 6757546b4c5d19bf3cd7b09c
    responseCreateBulkCryptoPaymentSchema:
      type: object
      properties:
        createdAt:
          type: string
          description: The date and time the order was created
          example: '2025-01-04T01:37:25.259Z'
        userId:
          type: string
          description: The unique identifier of the user
          example: 6757546b4c5d19bf3cd7b09c
        orderIds:
          type: array
          description: List of order IDs associated with the user
          items:
            type: string
          example: []
        amount:
          type: number
          description: The total amount of the orders
          example: 0
        orderIdsPaid:
          type: array
          description: List of order IDs that have been paid
          items:
            type: string
          example: []
        crypto:
          enum:
            - USDC
            - USDC_POLYGON_NXTB
            - SOL_USDC_PTHX
            - XLM_USDC_5F3T
            - USDC_BASECHAIN_ETH_5I5C
            - USDCE_TEMPO_MXYR
            - USDT_POLYGON
            - USDT_ERC20
            - TRX_USDT_S2UZ
            - USDT_BSC
            - SOL_USDT_EWAY
            - EUROC_ETH_F5NG
            - EURC_SOL
            - EURC_B609K9QB_Y213
          description: The type of cryptocurrency involved in the order
        country:
          enum:
            - MX
            - PE
            - CO
          description: The country of the operation
        status:
          enum:
            - awaitingDepositAddress
            - awaitingOrders
            - awaitingPayment
            - awaitingAsyncPayment
            - awaitingAsyncPayoutForOrders
            - complete
            - failed
            - cancelled
            - insufficientAmountReceived
            - excessAmountReceived
          description: The current status of the bulk crypto payment.
          example: awaitingPayment
        depositAddress:
          type: string
          description: The deposit address for the order
          example: 5BZDQjWad45rT1vYT5KdJHgSU4rWXL1Y5nDoTwSrT8Pr
        id:
          type: string
          description: The unique identifier of the bulk crypto payment
          example: 677890d5d520f9ecb10e9c33
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.